import pylab as pl
from scipy import ndimage 
import homography

im = ndimage.imread("romaa_gris.jpg")

pl.figure()
pl.gray()
pl.imshow(im)
pl.axis('equal')
pl.axis('off')

print 'Seleccionar cuatro puntos'
pts = pl.ginput(4, show_clicks=True)

pts = homography.make_homog( pl.array(pts).T )
print 'Puntos seleccionados en coordenadas homogeneas: \n', pts
